Package org.apache.uima.resource.impl

# Class ConfigurableDataResourceSpecifier_impl

java.lang.Object
org.apache.uima.resource.metadata.impl.MetaDataObject_impl
org.apache.uima.resource.impl.ConfigurableDataResourceSpecifier_impl

All Implemented Interfaces:
  `Serializable`, `Cloneable`, `ConfigurableDataResourceSpecifier`, `MetaDataObject`, `ResourceSpecifier`, `XMLizable`

public class ConfigurableDataResourceSpecifier_impl extends MetaDataObject_impl implements ConfigurableDataResourceSpecifier
Reference implementation of `FileResourceSpecifier`.

See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `MetaDataObject_impl.MetaDataAttr, MetaDataObject_impl.SerialContext, MetaDataObject_impl.Serializer`

- ## Field Summary

  ### Fields inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `serialContext`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurableDataResourceSpecifier_impl()`
  Creates a new `ConfigurableDataResourceSpecifier_impl`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `ResourceMetaData`
  `getMetaData()`
  Gets the metadata for this resource, which includes descriptive information as well as configuration settings.
  `String`
  `getUrl()`
  Retrieves the URL of the data.
  `protected XmlizationInfo`
  `getXmlizationInfo()`
  To be implemented by subclasses to return information describing how to represent this object in XML.
  `void`
  `setMetaData(ResourceMetaData aMetaData)`
  Sets the metadata for this resource.
  `void`
  `setUrl(String aUrl)`
  Sets the URL of the data.

  ### Methods inherited from class org.apache.uima.resource.metadata.impl.MetaDataObject_impl

  `buildFromXMLElement, buildFromXMLElement, clone, equals, getAdditionalAttributes, getAttributeClass, getAttributeValue, getInfoset, getMatchingNode, getPropertyDescriptors, getPropertyXmlInfo, getRelativePathBase, getSerialContext, getSourceUrl, getSourceUrlString, getWrapperClass, getXMLAttributes, hashCode, isModifiable, listAttributes, readArrayPropertyValueFromXMLElement, readMapPropertyFromXml, readPropertyValueFromXMLElement, readUnknownPropertyValueFromXMLElement, resolveSettings, setAttributeValue, setInfoset, setSourceUrl, setSourceUrlIfNull, toString, toXML, toXML, toXML, toXML, valueIsNullOrEmptyArray, writeArrayPropertyAsElement, writeMapPropertyToXml, writePropertyAsElement`

  ### Methods inherited from class java.lang.Object

  `finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.apache.uima.resource.metadata.MetaDataObject

  `clone, equals, getAttributeValue, getSourceUrl, getSourceUrlString, isModifiable, listAttributes, setAttributeValue, setSourceUrl`

  ### Methods inherited from interface org.apache.uima.util.XMLizable

  `buildFromXMLElement, buildFromXMLElement, toXML, toXML, toXML, toXML`

- ## Constructor Details

  - ### ConfigurableDataResourceSpecifier_impl

    public ConfigurableDataResourceSpecifier_impl()
    Creates a new `ConfigurableDataResourceSpecifier_impl`.

- ## Method Details

  - ### getUrl

    public String getUrl()
    Description copied from interface: `ConfigurableDataResourceSpecifier`
    Retrieves the URL of the data.
    Specified by:
      `getUrl` in interface `ConfigurableDataResourceSpecifier`
    Returns:
      a URL string
    See Also:
      - `ConfigurableDataResourceSpecifier.getUrl()`

  - ### setUrl

    public void setUrl(String aUrl)
    Description copied from interface: `ConfigurableDataResourceSpecifier`
    Sets the URL of the data.
    Specified by:
      `setUrl` in interface `ConfigurableDataResourceSpecifier`
    Parameters:
      `aUrl` - a URL string
    See Also:
      - `ConfigurableDataResourceSpecifier.setUrl(String)`

  - ### getMetaData

    public ResourceMetaData getMetaData()
    Description copied from interface: `ConfigurableDataResourceSpecifier`
    Gets the metadata for this resource, which includes descriptive information as well as configuration settings.
    Specified by:
      `getMetaData` in interface `ConfigurableDataResourceSpecifier`
    Returns:
      the metadata for this resource

  - ### setMetaData

    public void setMetaData(ResourceMetaData aMetaData)
    Description copied from interface: `ConfigurableDataResourceSpecifier`
    Sets the metadata for this resource.
    Specified by:
      `setMetaData` in interface `ConfigurableDataResourceSpecifier`
    Parameters:
      `aMetaData` - metadata to assign

  - ### getXmlizationInfo

    protected XmlizationInfo getXmlizationInfo()
    Description copied from class: `MetaDataObject_impl`
    To be implemented by subclasses to return information describing how to represent this object in XML.
    Specified by:
      `getXmlizationInfo` in class `MetaDataObject_impl`
    Returns:
      information defining this object's XML representation